import { Http } from '@angular/http';
import 'rxjs/Rx';
import { Observable } from 'rxjs/Rx';
import { TemplateClass } from '../../template';
import { ConfigService } from '../configuration-service/configuration.service';
export declare class TemplateService {
    private http;
    private configService;
    private defaultTemp;
    private hashtable;
    constructor(http: Http, configService: ConfigService);
    loadTemplateJson(name: string, templatesObject: any, templateFolder: any): Observable<Object>;
    getTemplate(): TemplateClass;
}
